Bug 844389 - SE 1.0.1: [WEB-UI] Pulp error 409 when deleting repository IN SYNC in !custom! provider and then creating another with the same name.
SE 1.0.1: [WEB-UI] Pulp error 409 when deleting repository IN SYNC in !custom...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Marek Hulan
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 09:09 EDT by Milan Falešník
Modified: 2014-01-27 09:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:10:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
katello-debug generated log files (3.19 MB, application/x-gzip)
2012-07-30 09:20 EDT, Milan Falešník
no flags Details

  None (edit)
Description Milan Falešník 2012-07-30 09:09:10 EDT
Description of problem:
When you delete some repository IN SYNC in !custom provider! and then create another with the same name, it fails with Pulp error 409.

Version-Release number of selected component (if applicable):
katello-all-0.1.318-1.el6cf.noarch
pulp-1.0.4-1.el6.noarch

Steps to Reproduce:
1. Start syncing some repository of your choice
2. Now go to the Custom content providers (it still syncs meanwhile), click on that repository and remove it.
3. Try to create a new repository with the same name.
4. Error appears.
  
Actual results:
Flash message appears -> Pulp::Repository: 409 Conflict "A repository with the id, redhat-RHEL6-RHEL6_3, already exists" (PUT /pulp/api/repositories/)

Expected results:
New repository with the same name.
Comment 1 Milan Falešník 2012-07-30 09:20:54 EDT
Created attachment 601267 [details]
katello-debug generated log files
Comment 5 Mike McCune 2013-09-19 14:10:12 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.